> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve published dashboard info

> Returns the list of published documents, their publishers' profiles, project branding, and configured published domains for `projectId`.

Requires the caller to be the project owner or have workspace edit permission.



## OpenAPI

````yaml get /published/{projectId}/dashboard-info
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /published/{projectId}/dashboard-info:
    get:
      tags:
        - Published
      summary: Retrieve published dashboard info
      description: >-
        Returns the list of published documents, their publishers' profiles,
        project branding, and configured published domains for `projectId`.


        Requires the caller to be the project owner or have workspace edit
        permission.
      operationId: getPublishedDashboardInfo
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: projectId
          in: path
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      publishers:
                        type: array
                        items:
                          type: object
                          additionalProperties: {}
                      projectBranding:
                        type: object
                        properties:
                          company:
                            type: object
                            properties:
                              name:
                                type: string
                              logo:
                                type: string
                              url:
                                type: string
                          callToAction:
                            type: object
                            properties:
                              icon:
                                type: object
                                properties:
                                  name:
                                    type: string
                                  color:
                                    type: string
                                required:
                                  - name
                                  - color
                              text:
                                type: string
                              url:
                                type: string
                      publishedDomains:
                        type: array
                        items:
                          type: object
                          properties:
                            slug:
                              type: string
                            domain:
                              type: string
                            homepage:
                              type: string
                            password:
                              type: string
                            disabled:
                              type: boolean
                      publishedDocuments:
                        type: array
                        items:
                          type: object
                          additionalProperties: {}
                    required:
                      - publishers
                      - publishedDocuments
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '404':
          description: 404 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````